Page MenuHomePhabricator

Release/QA tasks at the Wikimedia Hackathon 2015
Closed, ResolvedPublic

Related Objects

Event Timeline

greg created this task.Mar 12 2015, 9:16 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to Normal.
greg assigned this task to Qgil.
greg added subscribers: Qgil, greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2015, 9:16 PM
greg removed Qgil as the assignee of this task.Mar 12 2015, 9:16 PM
greg set Security to None.
greg updated the task description. (Show Details)Mar 12 2015, 9:55 PM
dduvall updated the task description. (Show Details)Mar 13 2015, 12:21 AM

Great, thank you! I have added "MediaWiki releases" as a main area at https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2015 (feel free to propose an alternative name; "Release Engineering" alone is too generic out of the WMF context).

Having the entire Release Engineering team in Lyon looks like a good opportunity to discuss and work on MediaWiki releases for third parties as well. In addition of deciding what exactly should result from T76902: MediaWiki Stakeholders Group Track at a Future Conference in 2015, we could think of activities literally attractive to heavy MediaWiki users (as in sysadmins and mediawiki-enterprise crowd).

greg updated the task description. (Show Details)Mar 27 2015, 6:56 PM

@greg, would it be fair to assign this task to you? @Rfarrand and @AlexCella will have an easier time if each main area has identified owners.

Qgil added a comment.Apr 20 2015, 10:44 AM

In relation to T76325: Engage with established technical communities at the Wikimedia Hackathon 2015, are there any specific developers of any related communities that you would like to invite to Lyon? We can talk about travel sponsorship if it's reasonable.

Qgil writes:

In relation to T76325: Engage with established technical communities
at the Wikimedia Hackathon 2015
https://phabricator.wikimedia.org/T76325, are there any specific
developers of any related communities that you would like to invite to
Lyon? We can talk about travel sponsorship if it's reasonable.

Jamie Thinglestad -- runs WikiApiary
Chris Koerner -- applied for sponsorship, runs MW for Mercy Hospitals in St Louis. Organising SMWCon in St Louis.

The following three engineers at NASA have done some great work over the
past few years in using SMW into their workflows for providing training
for Extravehicular Activity (i.e "Space walks") at NASA. They've
released some code and have started running the "Enterprise MediaWiki"
meet up in the Houston area.

Daren Welsh https://www.mediawiki.org/wiki/User:Darenwelsh
Scott Wray
James Montalvo https://www.mediawiki.org/wiki/User:Jamesmontalvo3

I should point out that when I mentioned the NASA people to Damon at the Developer Summit in January, he expressed an interest in an introduction.

Qgil added a comment.May 7 2015, 2:21 PM

If there are any sessions that you would prefer to schedule in advance (i.e. a training session for newcomers), please let me know. The time to book slots is now.

Note that most activities will not be scheduled in advanced, following the unconference model. However, we want to offer some structure for newcomers and for specific sessions with exceptional requirements.

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

greg updated the task description. (Show Details)May 23 2015, 8:39 AM
Qgil added a comment.May 26 2015, 7:05 AM

I guess this task can be resolved, or do you want to add something?

Qgil closed this task as Resolved.May 27 2015, 10:05 PM
greg moved this task from To Triage to Done on the Release-Engineering-Team board.Jun 5 2015, 3:44 PM